{% extends "base.html" %}

{% block content %}
<h3>Пространство <a href="https://drive.google.com/drive/folders/{{workspace.file_id}}" target="_blank">{{workspace.name}}</a></h3>
<div id="config">
    <a href="https://docs.google.com/spreadsheets/d/{{ reserved_files['config'].file_id }}" target="_blank">Файл конфигурации</a>
    <form method="post" action="/workspaces/{{ workspace.id }}">
        <input type="hidden" name="csrf_token" value="{{ csrf_token() }}" />
        <input type="hidden" name="action" value="update_config" />
        <input type="submit" value="Обновить файл конфигурации" />
    </form>
</div>
<div id="reg">
    <h3>Управление регистрацией участников</h3>
    <div>
        {% if 'reg' in reserved_files %}
            <a href="https://docs.google.com/spreadsheets/d/{{ reserved_files['reg'].file_id }}" target="_blank">Список участников</a>
        {% else %}
            Ссылка на список участников отсутствует
        {% endif %}
    </div>
    {% if reg_stats %}
        <table>
            <thead>
                <tr>
                    <th>Категория</th>
                    <th>Количество</th>
                </tr>
            </thead>
            <tbody>
                {% for name, count in reg_stats.items() %}
                    <tr><td>{{ name }}</td><td>{{ count }}</td></tr>
                {% endfor %}
            </tbody>
        </table>
    {% endif %}
    <form method="post" action="/workspaces/{{ workspace.id }}">
        <input type="hidden" name="csrf_token" value="{{ csrf_token() }}" />
        <input type="hidden" name="action" value="upload_reg" />
        <input type="text" name="url" {% if 'reg' in reserved_files %} value="https://docs.google.com/spreadsheets/d/{{ reserved_files['reg'].file_id }}" {% endif %} size="70" />
        <input type="submit" value="Загрузить файл регистрации участников" />
    </form>
</div>
<div id="rounds">
    <h3>Туры</h3>
    <form method="post" action="/workspaces/{{ workspace.id }}">
        <input type="hidden" name="csrf_token" value="{{ csrf_token() }}" />
        <input type="hidden" name="action" value="create_round" />
        <div>
            <label>
                Категория:
                <select name="ckey" id="ckey" required>
                    <option disabled value="" selected hidden>Выберите категорию</option>

                    {% for key, name in category_names.items() %}
                        <option value="{{ key }}">{{ name }}</option>
                    {% endfor %}
                </select>
            </label>
            <button hx-get="/workspaces/{{ workspace.id }}/stages" hx-target="#stages" hx-include="#ckey">Дальше</button>
        </div>
        <div>
            <label>
                Тур:
                <select name="stage" id="stages">
                </select>
            </label>
            <button hx-get="/workspaces/{{ workspace.id }}/participants" hx-target="#participants" hx-include="#ckey,#stages" hx-on::after-request="participants_selector_register()">Дальше</button>
        </div>

        <div id="participants"></div>

        <div>
            <label>
                Количество участников, проходящих в следующий тур:
                <input type="number" name="next_participants_count" placeholder="Количество участников, проходящих в следующий тур" required>
            </label>
        </div>

        <div>
            <label>
                Количество заходов:
                <input type="number" name="heats_count" placeholder="Количество заходов" required>
            </label>
        </div>
        <input type="submit" value="Создать тур" />
    </form>
</div>
<div id="finals">
    <h3>Финалы</h3>
    <form method="post" action="/workspaces/{{ workspace.id }}">
        <input type="hidden" name="csrf_token" value="{{ csrf_token() }}" />
        <input type="hidden" name="action" value="process_final" />
        <div>
            <label>
                Категория:
                <select name="ckey" id="ckey" hx-get="/workspaces/{{ workspace.id }}/finals" hx-target="#finals-data" required>
                    <option disabled value="" selected hidden>Выберите категорию</option>

                    {% for key, name in category_names.items() %}
                        <option value="{{ key }}">{{ name }}</option>
                    {% endfor %}
                </select>
            </label>
        </div>
        <div id="finals-data"></div>
        <input type="submit" value="Обработать финал" />
    </form>
</div>
{% endblock content %}